FIX::DOMNode Class Referenceabstract

Interface that represents node from underlying XML parser. More...

`#include <DOMDocument.h>`

Inheritance diagram for FIX::DOMNode:
[legend]

## Public Member Functions

virtual | ~DOMNode ()
virtual SmartPtr< DOMNode > | getFirstChildNode ()=0
virtual SmartPtr< DOMNode > | getNextSiblingNode ()=0
virtual SmartPtr< DOMAttributes > | getAttributes ()=0
virtual std::string | getName ()=0
virtual std::string | getText ()=0

## Detailed Description

Interface that represents node from underlying XML parser.

Definition at line 48 of file DOMDocument.h.

## Constructor & Destructor Documentation

## ~DOMNode()

virtual FIX::DOMNode::~DOMNode | ( |  | ) |

inline virtual

Definition at line 51 of file DOMDocument.h.

{}

## Member Function Documentation

## getAttributes()

virtual SmartPtr<DOMAttributes> FIX::DOMNode::getAttributes | ( |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMNode.

Referenced by FIX::DataDictionary::addXMLComponentFields(), FIX::DataDictionary::addXMLGroup(), and FIX::DataDictionary::lookupXMLFieldNumber().

## getFirstChildNode()

virtual SmartPtr<DOMNode> FIX::DOMNode::getFirstChildNode | ( |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMNode.

Referenced by FIX::DataDictionary::addXMLGroup().

## getName()

virtual std::string FIX::DOMNode::getName | ( |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMNode.

## getNextSiblingNode()

virtual SmartPtr<DOMNode> FIX::DOMNode::getNextSiblingNode | ( |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMNode.

## getText()

virtual std::string FIX::DOMNode::getText | ( |  | ) |

pure virtual

Implemented in FIX::PUGIXML_DOMNode.

The documentation for this class was generated from the following file:

- DOMDocument.h